package com.cf.imes.module.system.enums.logger;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

/**
 * {@link com.cf.imes.module.system.enums.logger.LoginResultEnum} 的单元测试
 *
 * @author Gqr
 * @since 2025/12/11 15:15
 */
public class LoginResultEnumTest {

    @Test
    void test() {
        assertEquals(0, LoginResultEnum.SUCCESS.getResult());
        assertEquals(10, LoginResultEnum.BAD_CREDENTIALS.getResult());
        assertEquals(20, LoginResultEnum.USER_DISABLED.getResult());
        assertEquals(30, LoginResultEnum.CAPTCHA_NOT_FOUND.getResult());
        assertEquals(31, LoginResultEnum.CAPTCHA_CODE_ERROR.getResult());
        assertEquals(32, LoginResultEnum.FIRST_LOGIN.getResult());
    }
}
